<?php

/*
*
* INFOATCLUSTER TECHNOLABS LLP ("COMPANY") CONFIDENTIAL
* Copyright (c) 2016-2017 INFOATCLUSTER TECHNOLABS LLP, All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains the property of INFOATCLUSTER TECHNOLABS LLP. The intellectual and technical concepts contained
* herein are proprietary to INFOATCLUSTER TECHNOLABS LLP and may be covered by Indian and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
* Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
* from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed 
* Confidentiality and Non-disclosure agreements explicitly covering such access.
*
* The copyright notice above does not evidence any actual or intended publication or disclosure  of  this source code, which includes  
* information that is confidential and/or proprietary, and is a trade secret, of  COMPANY.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE, 
* OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE 
* LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS  
* TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.                
*
*
* @author Mohammed Shayas M K
* 
*/

namespace App\Managers\SubstitutionProposal;
use App\Managers\SubstitutionProposal\SubstitutionProposalModel;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Session;
use App\Http\Helper\Helper;

class SubstitutionProposalManager extends SubstitutionProposalModel
{
    public function __construct()
    {
         $this->substitutionProposal = new SubstitutionProposalModel();
         $this->helper = new Helper();
    }

    public function add($each, $scheduleID)
    {
        DB::beginTransaction();
        try 
        {
           // foreach($data AS $each)
           // {
                if($each['current_player_id'] != '' && $each['substituted_player_id'] != '')
                {
                    $eachData = array();
                    $eachData = $each;
                    $eachData['user_id'] = Session::get('general');
                    $eachData['UUID'] = $this->helper->addUuid();
                    $eachData['schedule_id'] = $scheduleID;
                    $eachData['created_at'] = $eachData['updated_at'] = date("Y-m-d H:i:s");
                    $res = $this->substitutionProposal->insert($eachData);
                    if(!$res)
                    {
                        DB::rollback();
                        return 0;
                        exit;
                    }
                }
           // }
            DB::commit();
            return 1;
            exit;
        }
        catch(ValidationException $e)
        {
            DB::rollback();
            return 0;
        }
    }
    
    public function updateData($data, $UUID)
    {
        return $this->substitutionProposal->where('UUID', $UUID)->update($data);
    }

    public function getTotalVotesOfUser($scheduleID, $userID)
    {
        return $this->select(DB::raw('SUM(votes) AS total_votes'))->where('user_id', $userID)->where('schedule_id', $scheduleID)->first();
    }

    public function getHighesValuePlayer($positionColumnID, $count, $scheduleID)
    {
        return $this->select(DB::raw("SUM(substitution_proposal.votes) as count"),'substitutedPlayer.*', 'currentPlayer.name AS currentPlayerName', 'position.short_form', 'position.UUID AS position_id', 'position_columns.UUID AS position_columns_id', 'substitution_proposal.UUID AS substitutiion_proposal_id')
              //  ->join('tactic_container', 'tactic_container.UUID', '=', 'tactics.tactic_container_id')
                ->join('schedule_players', 'schedule_players.UUID', '=', 'substitution_proposal.schedule_player_id')
                ->join('position_columns', 'position_columns.UUID', '=', 'schedule_players.position_columns_id')
                ->join('player AS substitutedPlayer','substitutedPlayer.UUID', '=', 'substitution_proposal.substituted_player_id')
                ->join('player AS currentPlayer','currentPlayer.UUID', '=', 'substitution_proposal.current_player_id')
                ->join('position', 'position.UUID', '=', 'position_columns.position_id')
                ->where('substitution_proposal.schedule_id', "$scheduleID")
                ->where('position_columns.UUID', "$positionColumnID")
                ->where('schedule_players.deleted_at', NULL)
                ->groupBy('substitutedPlayer.UUID')
                //->orderByRaw(\DB::raw("CAST(count AS unsigned) DESC"))
                ->orderBy('count', 'DESC')
                //->skip(0)->take($count)
                ->first();
    }

    public function getCurrentTacticsPlayerVotes($playerID, $scheduleID, $positionID)
    {
        return $this->select(DB::raw("SUM(substitution_proposal.votes) as vote_count"))
              //  ->join('tactic_container', 'tactic_container.UUID', '=', 'tactics.tactic_container_id')
                ->join('schedule_players', 'schedule_players.UUID', '=', 'substitution_proposal.schedule_player_id')
                ->join('position_columns', 'position_columns.UUID', '=', 'schedule_players.position_columns_id')
                ->where('substitution_proposal.schedule_id', "$scheduleID")
                ->where('substitution_proposal.substituted_player_id', "$playerID")
                ->where('position_columns.position_id', "$positionID")
             //   ->where('tactics.position_columns_id', "$positionColumnsID")
                ->where('schedule_players.deleted_at', NULL)
                
                ->groupBy('schedule_players.player_id')
                ->orderBy('vote_count')
                ->first();
    }
}