<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProfileTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('profile', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('UUID')->unique();
            $table->string('name', 255)->nullable();
            $table->string('email', 255)->nullable();
            $table->string('contact_person', 255)->nullable();
            $table->string('contact_person_email', 255)->nullable();
            $table->string('contact_person_phone', 255)->nullable();
            $table->string('default_goal_keeper', 500)->nullable();
            $table->string('default_tshirt', 500)->nullable();
            $table->bigInteger('decision_proposal_expiry_days')->default(14);
            $table->bigInteger('tactics_proposal_expiry_days')->default(14);
            $table->bigInteger('player_proposal_expiry_days')->default(14);
            $table->bigInteger('player_evaluation_days_limit')->default(4);
            
            $table->bigInteger('tactics_days_limit')->default(4);
            $table->string('header_bg_color', 50)->nullable();
            $table->string('menu_bg_color', 50)->nullable();
            $table->string('menu_text_color', 50)->nullable();
            $table->string('bg_color', 50)->nullable();
            $table->string('footer_bg_color', 50)->nullable();
            $table->string('footer_text_color', 50)->nullable();
            $table->boolean('reset')->default(1);
            
            $table->uuid('user_id');
            $table->timestamps();
            $table->softDeletes();
            
            $table->foreign('user_id')->references('UUID')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('profile');
    }
}
