<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLiveVideoArchieveTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('live_video_archieve', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->uuid('UUID')->unique();

            $table->string('title', 1000);
            $table->string('url', 1000);
            $table->uuid('user_id');
            $table->timestamps();
            
            $table->softDeletes();

            $table->foreign('user_id')->references('UUID')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('live_video_archieve');
    }
}
