@include('includes.admin.header')
@include('includes.admin.sidebar')  

<script>
    $(document).ready(function(){
        $('#banners-menu').addClass('active');
    });
</script>

<!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Banners List
            <small>From Players</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="#">Banners</a></li>
            <li class="active">All Banners</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-md-12">
              <div class="box">
                <div class="box-header with-border">
                  <h3 class="box-title">All Banners</h3>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive">
                  <table class="table table-bordered table-striped">
                      <thead>
                    <tr>
                      <th>#</th>
                      <th>User</th>
                      <th>
                          Expiry Date
                      </th>
                      <th>
                          Banner
                      </th>
                      <th>
                          URL
                      </th>
                      <th>
                          IP
                      </th>
                      <th>
                          Status
                      </th>
                      <th>Action</th>
                    </tr>
                      </thead>
                      <tbody>
                          @if($banners->count() > 0)
                          @foreach($banners AS $banner)
                            <tr>
                                <td></td>
                                <td>{{$banner['name']}}</td>
                                <td>
                                    @if ($banner['expiry_date'] != null)
                                    {{date("d M Y", strtotime($banner['expiry_date']))}}
                                    @else
                                    Not Set
                                    @endif
                                </td>
                                <td><img src="{{$banner['banner_location']}}" style="width:100px"/></td>
                                <td>{{$banner['url']}}</td>
                                <td>{{$banner['ip']}}</td>
                                <td>
                                    @if ($banner['paypal_id'] == null)
                                        Payment Pending
                                    @elseif ($banner['expiry_date'] > date("Y-m-d"))
                                        Active
                                        
                                    @else
                                        Expired
                                    @endif
                                </td>
                                <td>
                                   <a class=" btn btn-xs btn-success btn-edit" href="/admin/banner/{{$banner['UUID']}}/edit"><i class="glyphicon glyphicon-edit"></i></a>
                                   <a class=" btn btn-xs btn-danger btn-remove" data-id="{{$banner['UUID']}}" href="#"><i class="glyphicon glyphicon-remove"></i></a>
                               </td>
                            </tr>
                        @endforeach
                        @endif
                    </tbody>
				
                  </table>
                </div><!-- /.box-body -->
<!--                <div class="box-footer clearfix">
                  <ul class="pagination pagination-sm no-margin pull-right">
                    <li><a href="#">&laquo;</a></li>
                    <li><a href="#">1</a></li>
                    <li><a href="#">2</a></li>
                    <li><a href="#">3</a></li>
                    <li><a href="#">&raquo;</a></li>
                  </ul>
                </div>-->
              </div><!-- /.box -->

             
            </div><!-- /.col -->
            
          </div><!-- /.row -->
          
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      <div class="modal" id="position-message" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Message</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
      <script>
          
            $(document).on('click', '.btn-remove', function(){
                var id = $(this).attr('data-id');
                var name = $(this).attr('data-name');
                var conf = confirm("Are you sure you want to delete the banner?");
                var parent = $(this).parents('tr').first();
                var current = $(this);
                if(conf)
                {
                    $.ajax({
                        url: '/admin/banners/' + id + '/delete',
                        type: 'DELETE',
                        dataType: 'json',
                        data:{"_token": "{{ csrf_token() }}"}
                    }).done(function(result) {
                        alert('Banner deleted Successfully');
                        $(parent).remove();
                    }).fail(function(xhr, textStatus, errorThrown){
                        alert('Something Went Wrong');
                    });
                    
                }
              
            });
          </script>
@include('includes.admin.footer')